Overview

Hawk Ridge Systems
Visit us at: http://www.hawkridgesys.com

Hawk Ridge Add-in

As part of contineous efforts to provide our customers with increased functionality , Hawk Ridge Systems introduces Hawk Ridge add-in. Fully integrated inside SolidWorks , it automates many common tasks and provides several functionalities including:

Custom Properties

Provides an easy interface for creating custom properties for any SolidWorks document. Select Properties from customizable drop-down lists in property manager.

Dimension Numbering

Assign numbers to part dimensions for easy identifications. Display these numbers in detail-drawings.

Appearance Pannel

Dynamically change visual attributes (color, transparency etc) of a part or assembly.

Export Package

Export any SolidWorks document in several common formats at once. The supported formats are: .iges, .step, .stl, .acis, .dxf, .dwg, .tiff.

Unit Converter

Convert between commonly used engineering units of measurement.

Table of Materials

Select from a comprehensive list of materials to apply the density to your part model.


Custom Properties Generator

The Custom Properties Generator provides an easy and interactive interface for creating custom properties for all SolidWorks document types.

The program consists of 7 customizable drop-down lists and 2 text boxes.

To Create Properties

  1. From the Hawk Ridge menu, select Custom Properties option. The interface will appear in property manager on the left hand side.
  2. If the document already has any of the specified properties, it will show their present values in the boxes.
  3. To change the name of the custom properties, click on the OPTIONS button. Here you can modify the name of properties, add or remove items from the drop-down lists. Save your modifications and close the window.
  4. Click the OK button (Green Checkmark).


Dimension Numbering

This application assigns numerical values to dimension names in SolidWorks part files. The numbering is based on the order of creation of dimensions and once a dimension has been assigned a numerical name, it will remain unique to that dimension. These numbers can then be shown in detail-drawing using Tools-Options-General-Show Dimension Names.


Appearance Panel

The appearance panel allows for easy and dynamic visual attributes change. Change color, transparency,shininess, ambiency and specularity of a part in part or assembly modes.


Export Package

This applications allows you to export a SolidWorks document in several common formats with the click of a button. To export a file:

  1. Select Export Package from the Hawk Ridge menu.
  2. The checkboxes on the left hand side are available formats for the present document type.

3. Check the desired formats for export. The options for each format is set to SolidWorks default.

4.Click on the Location button to select the path where the document will be exported.

5. Click the OK (green checkmark) button.


Unit Conversion

This tool converts between commonly used units quickly.

Simply select the units catagory and choose units to convert from and to from the drop-down boxes. Type in the value for the input unit and click on Calculate button.


Material Density

Materials Table

  1. From the Hawk Ridge menu, select Apply Material.
  2. From the drop down list on the left, select the material of your choice.
  3. Click OK (check mark). The density is applied to your part.
  4. To check the density go to Tools-Optioins-Document Properties-Material Properties. The units of the density follows your document units.

Adding More Material

In order to add more materials to the list, edit the Material.xls file from the installation directory. Add names to the material list in Column A and

density values (in Kg/m3) in column C. Do not leave any rows empty.